Jenia4Faces is a nice JSF library from http://www.jenia.org. It includes components to render html popups, DataTable extension tools, DHTML and templating components.

License: Version 2.0 Apache License.

Using jenia4faces popups with MyFaces

the latest version of jenia4faces now is fully myfaces compliant with an TCK compliant JSF implementation, in fact a quick check on the demo revealed it is using myfaces as their base jsf implementation for the demo.

you will however probably have to add the servlet definitions for loading the javascripts as described below.

Installation

  1. Get the jenia4faces-popup.jar and jenia4faces-commons.jar from http://www.jenia.org or alternatively use the combined jenia4faces.jar

  2. Declare taglib prefix (ex. xmlns:jp="http://www.jenia.org/jsf/popup") in the JSP.

  3. Add the following servlet/servlet mapping to the web.xml. This enables loading of the required JavaScript files from jenia4faces resources.

{{{<servlet>

</servlet> <servlet-mapping>

</servlet-mapping>}}}

If you get something like "component not found", copy and paste jenia4faces-popup.jar/META-INF/jenia-popup-config.xml into your primary faces-config.xml.

Alternatively you can download the demo.war from http://www.jenia.org and use that one either as a setup template base or as a starting point for your own application, all the needed adjustments are already done there and a myfaces (probably 1.0.9) implementation is integrated.

Older versions of jenia4faces

Older versions if jenia4faces had references into the com.sun class hierarchy, to get those up and running with myfaces means some manual adjustments have to be performed.

  1. In jenia4faces-popup.jar/META-INF/jenia-popup.tld comment all references to com.sun.* classes. These are <validator/> and <tei-class/> elements. This will remove references to JSF RI.

  2. Add patched libraries to the webapp path.

Tag library definition from Jenia4Faces references JSF RI. Therefore, if you want to use Jenia4Faces with pure MyFaces, you have to remove the dependencies. Here is a small walkthrough on how to deploy Jenia4Faces with MyFaces:

It is however recommended to use a 1.1+ version of jenia4faces not to revert to the pre 1.1x versions and to the adjustments.

Jenia4Faces (last edited 2009-09-20 23:01:03 by localhost)